import type { _INFocusStatus } from "./INFocusStatus.js";
import type { _INIntent } from "./INIntent.js";
export declare class _INShareFocusStatusIntent extends _INIntent {
    static alloc(): _INShareFocusStatusIntent;
    static new(): _INShareFocusStatusIntent;
    init(): _INShareFocusStatusIntent;
    initWithFocusStatus$(focusStatus: _INFocusStatus | null): _INShareFocusStatusIntent;
    focusStatus(): _INFocusStatus | null;
}
